Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.mediaplayer.data.PlayerUpdatedInfo Class Reference

Information related to the media player. More...

## Public Member Functions
| PlayerUpdatedInfo (String internalPlayerUuid, String deviceId, long videoHeight, long videoWidth, long audioSampleRate, long audioChannels, long audioBitsPerSample)
| PlayerUpdatedInfo (String internalPlayerUuid, String deviceId)
void | setInternalPlayerUuid (String internalPlayerUuid)
void | setDeviceId (String deviceId)
void | setVideoHeight (long videoHeight)
void | setVideoWidth (long videoWidth)
void | setAudioSampleRate (long audioSampleRate)
void | setAudioChannels (long audioChannels)
void | setAudioBitsPerSample (long audioBitsPerSample)
String | getInternalPlayerUuid ()
| Get the internal player UUID. More...
String | getDeviceId ()
| Get the device ID. More...
long | getVideoWidth ()
| Get the video width. More...
long | getVideoHeight ()
| Get the video height. More...
long | getAudioSampleRate ()
| Get the audio sample rate. More...
long | getaudioChannels ()
| Get the audio channels. More...
long | getAudioBitsPerSample ()
| Get the audio bits per sample. More...
String | toString ()

## Public Attributes
String | internalPlayerUuid
String | deviceId
long | videoHeight
long | videoWidth
long | audioSampleRate
long | audioChannels
long | audioBitsPerSample

## Detailed Description

Information related to the media player.

## Member Function Documentation

## ◆ setInternalPlayerUuid()

void io.agora.mediaplayer.data.PlayerUpdatedInfo.setInternalPlayerUuid | ( | String | internalPlayerUuid | ) |

Set the internal player UUID.

@technical preview

Parameters

  internalPlayerUuid | The internal player UUID.

## ◆ setDeviceId()

void io.agora.mediaplayer.data.PlayerUpdatedInfo.setDeviceId | ( | String | deviceId | ) |

Set the device ID.

@technical preview

Parameters

  deviceId | The device ID.

## ◆ setVideoHeight()

void io.agora.mediaplayer.data.PlayerUpdatedInfo.setVideoHeight | ( | long | videoHeight | ) |

Set the video height.

@technical preview

Parameters

  videoHeight | The video height.

## ◆ setVideoWidth()

void io.agora.mediaplayer.data.PlayerUpdatedInfo.setVideoWidth | ( | long | videoWidth | ) |

Set the video width.

@technical preview

Parameters

  videoWidth | The video width.

## ◆ setAudioSampleRate()

void io.agora.mediaplayer.data.PlayerUpdatedInfo.setAudioSampleRate | ( | long | audioSampleRate | ) |

Set the audio sample rate.

@technical preview

Parameters

  audioSampleRate | The audio sample rate.

## ◆ setAudioChannels()

void io.agora.mediaplayer.data.PlayerUpdatedInfo.setAudioChannels | ( | long | audioChannels | ) |

Set the audio channels.

@technical preview

Parameters

  audioChannels | The audio channels.

## ◆ setAudioBitsPerSample()

void io.agora.mediaplayer.data.PlayerUpdatedInfo.setAudioBitsPerSample | ( | long | audioBitsPerSample | ) |

Set the audio bits per sample.

@technical preview

Parameters

  audioBitsPerSample | The audio bits per sample.

## ◆ getInternalPlayerUuid()

String io.agora.mediaplayer.data.PlayerUpdatedInfo.getInternalPlayerUuid | ( |  | ) |

Get the internal player UUID.

@technical preview

Returns
  The internal player UUID.

## ◆ getDeviceId()

String io.agora.mediaplayer.data.PlayerUpdatedInfo.getDeviceId | ( |  | ) |

Get the device ID.

@technical preview

Returns
  The device ID.

## ◆ getVideoWidth()

long io.agora.mediaplayer.data.PlayerUpdatedInfo.getVideoWidth | ( |  | ) |

Get the video width.

@technical preview

Returns
  The video width.

## ◆ getVideoHeight()

long io.agora.mediaplayer.data.PlayerUpdatedInfo.getVideoHeight | ( |  | ) |

Get the video height.

@technical preview

Returns
  The video height.

## ◆ getAudioSampleRate()

long io.agora.mediaplayer.data.PlayerUpdatedInfo.getAudioSampleRate | ( |  | ) |

Get the audio sample rate.

@technical preview

Returns
  The audio sample rate.

## ◆ getaudioChannels()

long io.agora.mediaplayer.data.PlayerUpdatedInfo.getaudioChannels | ( |  | ) |

Get the audio channels.

@technical preview

Returns
  The audio channels.

## ◆ getAudioBitsPerSample()

long io.agora.mediaplayer.data.PlayerUpdatedInfo.getAudioBitsPerSample | ( |  | ) |

Get the audio bits per sample.

@technical preview

Returns
  The audio bits per sample.

## Member Data Documentation

## ◆ internalPlayerUuid

String io.agora.mediaplayer.data.PlayerUpdatedInfo.internalPlayerUuid

@technical preview

## ◆ deviceId

String io.agora.mediaplayer.data.PlayerUpdatedInfo.deviceId

The ID of a deivce.

## ◆ videoHeight

long io.agora.mediaplayer.data.PlayerUpdatedInfo.videoHeight

Height (pixel) of the video.

## ◆ videoWidth

long io.agora.mediaplayer.data.PlayerUpdatedInfo.videoWidth

Width (pixel) of the video.

## ◆ audioSampleRate

long io.agora.mediaplayer.data.PlayerUpdatedInfo.audioSampleRate

Audio sample rate (Hz).

## ◆ audioChannels

long io.agora.mediaplayer.data.PlayerUpdatedInfo.audioChannels

The number of audio channels.

## ◆ audioBitsPerSample

long io.agora.mediaplayer.data.PlayerUpdatedInfo.audioBitsPerSample

The number of bits per audio sample point.